# Познакомьтесь с Tornado.Cash

![](.gitbook/assets/image.png)

Tornado Cash - это полностью децентрализованный некастодиальный протокол, позволяющий осуществлять частные транзакции в сфере криптовалют.&#x20;

Как децентрализованный протокол, смарт-контракты Tornado.Cash реализованы в блокчейне Ethereum, что делает их неизменяемыми. Они не могут быть изменены или подделаны. Поэтому никто, включая первоначальных разработчиков проекта, не может их модифицировать или отключить. Все смарт-контракты для управления сетью, стекингом и эмиссией развертываются сообществом в децентрализованном порядке.

Поскольку Tornado.Cash является некастодиальным протоколом, пользователи сохраняют свою криптовалюту у себя во время работы с Tornado.Cash. При каждом пополнении счета, пользователям предоставляется приватный ключ, позволяющий получить доступ к размещенным средствам, что дает полный контроль над активами.

## Как достигается конфиденциальность?

Tornado Cash повышает конфиденциальность транзакций за счет разрыва связи между кошельками (адресами) пользователей в сети блокчейн. Проект использует смарт-контракт, который принимает депозиты в ETH и других токенах с одного адреса и позволяет выводить их с другого адреса.

Чтобы сохранить конфиденциальность, необходимо использовать несколько уровней защиты, например, использовать ретранслятор (Relayer)  для платежей при выводе средств на адрес, не имеющий ранее существующего баланса в ETH для оплаты комиссий.&#x20;

Более подробную информацию можно найти в разделе Проект Изнутри:

[Как работает Tornado.Cash?](https://docs.tornado.cash/how-does-tornado.cash-work) и [Советы по сохранению анонимности.](https://docs.tornado.cash/tips-to-remain-anonymous)

## На чем базируется Tornado.Cash?

Протокол работает на блокчейне Ethereum с момента его создания в 2019 году. Недавно, в июне 2021 года, он был развернут на Binance Smart Chain & Polygon.

На сегодняшний день Tornado.Cash можно использовать со следующими токенами:

* На Ethereum: **ETH** (_Ethereum_), **DAI** (_Dai_), **cDAI** (_Compound Dai_), **USDC** (_USD Coin_), **USDT** (_Tether_) и **WBTC** (_Wrapped Bitcoin_).
* На блокчейне Binance: **BNB** (_Binance Coin_)
* В сети Polygon: **MATIC** (_Polygon_)
* На блокчейне xDai: **XDAI** (_Stake_)
* На блокчейне Avalanche: **AVAX**

![](<.gitbook/assets/Non-custodial anonymous transactions on Ethereum (3) (1).png>)

Протокол также включает систему анонимного майнинга для части своих токенов, позволяя пользователям зарабатывать токены управления (governance coin). Благодаря токенам TORN пользователи Tornado Cash активно участвуют в формировании протокола. Сообщество имеет большой вес и влияет на эволюцию проекта Tornado Cash и улучшение его функций. Параметры протокола и распределение токенов полностью контролируются сообществом благодаря такому управлению.

\
Более подробная информация об [анонимном майнинге](https://docs.tornado.cash/anonymity-mining) и токене [Tornado.Cash](https://docs.tornado.cash/torn) доступна по ссылкам.

### Tornado Cash Nova

С [**выпуском Tornado Cash Nova (beta version) в декабре 2021**](https://tornado-cash.medium.com/tornado-cash-introduces-arbitrary-amounts-shielded-transfers-8df92d93c37c), в протокол был добавлен новый пул с новыми уникальными функциями. Пользователи больше не ограничены транзакциями с определенными суммами. С добавлением Tornado Cash Nova теперь вы можете наслаждаться пулом с **произвольными суммами и защищенными транзакциями**.

Tornado Cash Nova работает в сети Gnosis (xDai) в качестве Layer-2 решения для оптимизации скорости и затрат. Этот пул позволяет депонировать и выводить полностью настраиваемые суммы в ETH. Также вы сможете проводить защищенные транзакции (когда пользователи могут передавать свои токены, оставаясь в пуле).

Вы можете получить доступ к Tornado Cash Nova (beta version) по этой ссылке[nova.tornadocash.eth.link](https://nova.tornadocash.eth.link). Дополнительную информацию по работе с Tornado Cash Nova вы сможете найти в специальном разделе нашей документации.

## Как работает Tornado.Cash?

Программный код, лежащий в основе функционала Tornado.Cash, а также смарт-контакты, схемы и инструментарий имеют открытый исходный код.

Работая как DAO (децентрализованная автономная организация), управление Tornado.Cash и майнинговые смарт-контракты развертываются его сообществом.

\
Протокол также работает с технологией zk-SNARK, которая обеспечивает доказательства с нулевым разглашением (zero-knowledge proofs), позволяя пользователям продемонстрировать сервису владение активом без деанонимизации.

Использование этой технологии основано на исследованиях с открытым исходным кодом, проведенных командой Zcash при помощи сообщества Ethereum. Для создания начальных ключей zk-SNARK в мае 2020 года было запущено сообщество Tornado.Cash [Trusted Setup Community](https://tornado-cash.medium.com/tornado-cash-trusted-setup-ceremony-b846e1e00be1), в которое на данный момент внесено [1114 вкладов](https://tornado-cash.medium.com/the-biggest-trusted-setup-ceremony-in-the-world-3c6ab9c8fffa).

Такое значительное количество участников делает невозможным компрометацию протокола путем подделки доказательства с нулевым разглашением.

Пользовательский интерфейс размещен на IPFS (InterPlanetary File System) сообщества, что сводит к минимуму риск удаления данных. На практике, интерфейс будет работать до тех пор, пока хотя бы один пользователь будет хостить его.



_Автор:_ [_**@ayefda**_](https://torn.community/u/ayefda)_****_

_Переведено и адаптировано:_ [**@Ghost**](https://torn.community/u/ghost)
