# Роль сообщества

В децентрализованной автономной организации (DAO) такие элементы, как параметры протокола и распределение токенов - контролируются сообществом посредством контрактов управления. Такое управление позволяет сообществу формировать "путь" проекта и постоянно совершенствовать протокол.

Однако роль сообщества не ограничивается внесением предложений и выражением своего мнения относительно предложений через голосование. Сообщество может активно способствовать развитию и процветанию своего протокола путем конструктивных дебатов, взаимопомощи и конкретных действий.

Вы можете познакомиться с сообществом Tornado.Cash на специальном форуме сообщества и в социальных сетях. Вот полезные ссылки, чтобы присоединиться к сообществу Tornado.Cash

* [**Форум сообщества Tornado.Cash**](https://torn.community)****
* [**Discord-сервер сообщества Tornado.Cash**](https://discord.com/invite/TFDrM8K42j)****
* [**Телеграм-чат сообщества Tornado.Cash**](https://t.me/TornadoCashOfficial)****

Если вам интересна эта тема, вы можете получить больше информации о [правилах управления и функционирования Tornado.Cash здесь](https://docs.tornado.cash/governance)

## Как принять участие?

Оказать помощь в создании будущих улучшенных версий Tornado.Cash могут пользователи с любыми навыками и талантами. Возможности участия в управлении проектом практически неограниченны. Эти возможности включают любую функцию или вклад, который улучшает протокол и его положение в экосистеме блокчейн.

Сообщество Tornado.Cash ищет:

* разработчиков, которые могут продолжить улучшение протокола и его инструментов;
* аудиторов, которые могут проверять код для поиска ошибок и уязвимостей;
* творческих людей для создания образовательного или рекламного контента для привлечения новых пользователей  (видео, блоги, мемы и т.д.)
* дизайнеров, которые могут усовершенствовать архитектуру и дизайн протокола;
* потенциальных сотрудников для DAO;
* ...

## Фонд сообщества Tornado.Cash

В июне 2021 года сообщество Tornado.Cash проголосовало за создание фонда сообщества для награждения участников проекта [(предложение #7)](https://app.tornado.cash/governance/7).

Управление этим фондом находится в руках сообщества. Пользователи Tornado.Cash сами решают, чей вклад в проект должен быть вознагражден.

### Информация о фонде

Фонду сообщества Tornado.Cash выделено 5% от общего количества доступных TORN - они распределены следующим образом:

* 5% от выделенных 485 300 TORN, в результате чего **первоначальный перевод составил 22 900 TORN** -> [Детали транзакции](https://etherscan.io/tx/0xbe95f4268df2023d9ef234c1eedbb597b99e4c6e7d396d8f521ee482a1d93d47)__\
  __
* 5% от ежемесячных 91 600, которые будут выделяться в течение следующих 12 месяцев, в результате чего были сформированы **ежемесячные переводы на сумму в приблизительно 4,6k TORN** (в общей сложности \~55k TORN в течение года).

Ежемесячное распределение Фонда было запрограммировано через [Sablier](https://sablier.finance), протокол, построенный на Ethereum, который позволяет в режиме реального времени (секунда в секунду) передавать оставшиеся TORN в течение 12 месяцев.

В общей сложности в Фонд сообщества было выделено примерно 78 тыс. TORN.

Контракт сообщества Tornado.Cash находится по адресу:

[0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4. ](https://gnosis-safe.io/app/#/safes/0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4/balances)

Средства обрабатываются через кошелек с несколькими подписями на Gnosis Safe.

Ключи для управления этим кошельком были переданы в руки 5 членам сообщества, которые были избраны коллегами. Для подтверждения транзакции необходим консенсус 4 из 5 подписей.

Владельцы ключей с подписями были выбраны за их вклад и приверженность Tornado.Cash и сообществу. Они обязались подписывать транзакции, следуя инструкциям сообщества. Эти инструкции выработаны в ходе обсуждения на форуме и подтверждены голосованием на Snapshot.&#x20;

Все подписанты также обязались уйти в отставку, если они больше не будут выполнять свои обязательства по обеспечению процветания Tornado. Они также могут быть отстранены от своей роли по решению сообщества. В качестве вознаграждения за их приверженность как подписантов и ключевых участников сообщества Tornado.Cash, 100 TORN в месяц были развернуты через Sablier.

В настоящее время пятью обладателями подписей являются следующие адреса:&#x20;

* [0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75](https://etherscan.io/address/0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75)
* [0x0D5bbdBa8Fd6523102A0bb5a0E68b30441a3765F](https://etherscan.io/address/0x0D5bbdBa8Fd6523102A0bb5a0E68b30441a3765F)
* [0xAf98Bb4bCeD00A17fFE020499C342CFC3511Fb10](https://etherscan.io/address/0xAf98Bb4bCeD00A17fFE020499C342CFC3511Fb10)
* [0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d](https://etherscan.io/address/0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d)
* [0xEA27752f7D6687CB3Be2F180B997713b784c9911](https://etherscan.io/address/0xEA27752f7D6687CB3Be2F180B997713b784c9911)

### Как попросить вознаграждение?

Каждый участник сообщества имеет возможность попросить вознаграждение из выделенного фонда, чтобы отметить свой вклад в развитие проекта Tornado.Cash. Каждый участник также имеет возможность запросить вознаграждение от имени другого участника, чтобы вознаградить его/ее за работу.

Для этого на форуме Tornado.Cash была создана новая категория под названием «Funding». Создав новое сообщение в этой категории, участники могут открыть запрос на финансирование из Фонда сообщества. Правила обсуждения условий и положений такого запроса определены в этом сообщении.&#x20;

Как только эти условия будут утверждены, на Snapshot будет проведено голосование, чтобы подтвердить (или не подтвердить) запрос на финансирование.

Вот Snapshot пространства Tornado.Cash: [https://snapshot.org/#/torn-community.eth](https://snapshot.org/#/torn-community.eth).&#x20;

![](<../.gitbook/assets/Page d'accueil.png>)



### Как голосовать на Snapshot?

Каждый отдельный запрос на финансирование сопровождается голосованием на Snapshot, где держатели TORN могут четко выразить свою позицию за или против. Результат голосования на Snapshot является окончательным указанием для держателей ключей с подписями о том, переводить ли определенную сумму вознаграждения соответствующему участнику.

Каждое snapshot-голосование имеет окно в 3 дня для накопления голосов держателей TORN. По достижению даты окончания голосования,  статус snapshot переходит с `Active` на `Closed`. После этого члены сообщества больше не могут голосовать.&#x20;

![](<../.gitbook/assets/Time window.png>)

Держатели ключей с подписями могут считать, что запрос на финансирование одобрен сообществом, если:

* Большинство держателей TORN проголосовали за Accept, а не Refuse
* Достигнуто необходимое количество голосов в 5.000 TORN.

Все голосования касательно запросов на финансирование в Snapshot устроены одинаково: система голосования с выбором одного варианта из двух, где пользователи определяют "За" они, или "Против" данного предложения.

Шаги для участия в голосовании на Snapshot интуитивно понятны. Участнику сообщества необходимо:

Подключить кошелек, на котором хранятся TORN, с помощью MetaMask, WalletConnect или Torus;

![](<../.gitbook/assets/Connect wallet.png>)

* Проголосовать, нажав на кнопку `Accept` или `Refuse`;

![](<../.gitbook/assets/Cast the vote.png>)

* Подтвердить свой голос.

![](<../.gitbook/assets/Confirm the vote.png>)

автор __ [_@ayefda_](https://torn.community/u/ayefda)__\
__Переведено и адаптировано: [@ghost](https://torn.community/u/ghost/summary)
