# Управление проектом

### Как внести предложение?

Для того чтобы принять участие в управлении проектом Tornado.Cash, пользователям сначала необходимо заблокировать свои токены TORN в контракте управления. Если пользователь голосует или создает предложение, токены не могут быть разблокированы до окончания периода выполнения предложения (8,25 дней с момента создания предложения).

Заблокированные токены также могут быть делегированы другому адресу.

Чтобы создать предложение, пользователь должен иметь не менее 1.000 TORN. Все предложения являются смарт-контрактами с верифицированным кодом, которые выполняются из [контракта управления](https://etherscan.io/address/0x5efda50f22d34F262c29268506C5Fa42cB56A1Ce) (с использованием команды `delegatecall`).

Таким образом, любые изменения в контрактах можно легко проверить и протестировать.

Период голосования по предложению составляет 3 дня. Предложение будет принято, если оно получит простое большинство голосов и за него проголосует не менее 25 000 токенов TORN (если явка на голосование будет слишком низкой, предложение автоматически провалится).

После принятия предложения на него накладывается временная блокировка, которая длится 2 дня. По истечении этого срока, любой пользователь может имплементировать предложение (что инициирует определенные изменения).

Если предложение не выполняется в течение 3 дней после принятия, оно считается просроченным и больше не может быть выполнено.

Текущие параметры относительно просты, так как на начальном этапе в обращении будет не так много токенов TORN. Но, по мере увеличения объема циркулирующего предложения, сообщество может скорректировать эти пороговые значения.

Вносимые предложения могут быть следующего характера:

* Добавление нового пула Tornado Cash в прокси-сервере
* Изменение параметров ставок вознаграждения очками AP
* Снятие с "паузы" / постановка на "паузу" токена TORN
* Изменение некоторых основных майнинг-контрактов, таких как контракт TornadoTrees
* Комбинация вышеперечисленных предложений

Вы можете вносить эти и многие другие предложения. Чтобы узнать, что именно можно изменить с помощью управления в протоколе, найдите в смарт-контрактах функции с модификатором `onlyGovernance`.

Функции управления представлены красной стрелкой на этой [архитектурной диаграмме.](https://viewer.diagrams.net/?highlight=0000ff\&edit=\_blank\&layers=1\&nav=1\&title=tornado-cash-contract-overview.drawio#Uhttps%3A%2F%2Fraw.githubusercontent.com%2FRezan-vm%2Ftornado-cash-edu%2Fmain%2Ftornado-cash-contract-overview.drawio)

ПРИМЕЧАНИЕ: Часть этой статьи была заимствована из [этого материала](https://tornado-cash.medium.com/tornado-cash-governance-proposal-a55c5c7d0703) на портале Medium. Благодарим команду Tornado cash за исходный материал.

### Как голосовать за предложения?

Сначала вам нужно внести (или заблокировать) токены TORN в контракте управления.

Перейдите по адресу: [https://app.tornado.cash/governance.](https://app.tornado.cash/governance.)

Нажмите кнопку `Lock` на вкладке `Manage`

Одобрите контракт управления для передачи токенов TORN, нажав на кнопку `Approve`. После подтверждения одобрения, выберите сумму, которую вы хотите внести, и нажмите кнопку `Lock`. Подтвердите транзакцию в своем кошельке и дождитесь получения подтверждения.

![](../.gitbook/assets/c05e5a1813edad280544b627b24002dc8d5adcf2.png)

Перед участием в голосовании следующим важным шагом является рассмотрение предложения.

Легитимные предложения должны иметь специальный пост на [torn.community](https://torn.community) в категории “Proposal”. Сообщение на форуме будет содержать дополнительный контекст и аргументы по предложению. Прочитайте предложение и сопутствующую информацию и примите собственное решение по данному вопросу.

После того, как предложение было подано, оно должно появиться на:

[https://app.tornado.cash/governance](https://app.tornado.cash/governance)&#x20;

Предложения реализуются в виде смарт-контракта, вносящего изменения в систему. Поэтому важно проверить адрес смарт-контракта и изучить его код. Найдите адрес контракта-предложения здесь:

![](../.gitbook/assets/181d612b6c57964bab59c8e5b766f5247211083d.png)

Найдите адрес контракта на Etherscan и убедитесь в том, что исходный код проверен и доступен для чтения.

![](../.gitbook/assets/d2d37d169a94f09156e76fa522b7974cb7c9ac3f.png)

Прочитайте исходный код и убедитесь, что он соответствует тому, что описано в сообщении на форуме.

Если вы не являетесь техническим специалистом или вам неудобно читать код Solidity, попросите кого-нибудь, кому вы доверяете, просмотреть контракт за вас.

Если вы согласны (или не согласны) с кодом предложения, пришло время голосовать!

Окно голосования по предложению составляет 3 дня. Это означает, что у нас есть 3 дня, чтобы набрать необходимое количество участников для голосования в 25 000 TORN.

Важно: Как только вы проголосовали, ваши токены будут заблокированы на 8,25 дней с момента подачи предложения на голосование (начало 3-дневного периода голосования). По истечении 8,25 дней вы сможете отозвать свои токены из контракта управления. Обратите внимание, что вы можете голосовать по двум предложениям одновременно без дополнительного периода блокировки (8,25 дней будут отсчитываться с момента участия в последнем голосовании).

Чтобы проголосовать, просто нажмите на зеленую галочку или красный крестик в зависимости от того, принимаете вы предложение или отклоняете его. Подтвердите транзакцию с помощью Metamask, и ваш голос принят!

### Как делегировать право голосования?

Если вы являетесь держателем токенов TORN, вы можете делегировать свое право голоса другому лицу без необходимости отправлять ему токены.

ВАЖНО: Если вы делегируете свои токены и ваш делегат проголосует или внесет на обсуждение предложение, ваши токены будут заблокированы на 8,25 дней с момента начала голосования по предложению, за которое голосовал или которое внес делегат. Обратите внимание, что вы всегда можете отменить делегирование.

Чтобы осуществить делегирование полномочий голоса, перейдите по ссылке: [https://app.tornado.cash/governance](https://app.tornado.cash/governance).&#x20;

Сначала необходимо заблокировать токены в контракте управления. Нажмите кнопку `Lock` на вкладке `Manage`

Утвердите контракт управления для передачи токенов TORN, нажав на кнопку `Approve`. После подтверждения, выберите сумму, которую вы хотите передать, и нажмите кнопку `Lock`. Подтвердите транзакцию в своем кошельке и дождитесь подтверждения.

![](<../.gitbook/assets/c05e5a1813edad280544b627b24002dc8d5adcf2 (1).png>)

Последним шагом будет фактическое делегирование. Снова перейдите на сайт [https://app.tornado.cash/governance](https://app.tornado.cash/governance).&#x20;

Перейдите на вкладку `Manage` и нажмите кнопку `Delegate`&#x20;

Введите адрес, на который вы хотите делегировать права голоса, и нажмите `Delegate`. Одобрите транзакцию в своем кошельке и дождитесь подтверждения.

![](../.gitbook/assets/43c05d176d7f75a336af7a865565c9b23786b98c.png)

После этого, весь ваш заблокированный баланс будет делегирован.

Вы можете отменить делегирование в любое время. Чтобы отменить делегирование, просто воспользуйтесь кнопкой `Undelegate` на вкладке Manage.



_Автор:_ [_**@rezan**_](https://torn.community/u/Rezan/summary)

_Переведено и адаптировано:_ [**@Ghost**](https://torn.community/u/ghost)
