# Как стать ретранслятором?

После исполнения [Tornado Cash 10th governance proposal](https://tornadocash.eth.link/governance/10) любой может стать ретранслятором для пользователей Tornado Cash.

{% hint style="success" %}
Единственное условие для добавления в Tornado Cash UI - держать минимум **`300 токенов TORN`**. Это количество может быть изменено голосованием в любой момент.
{% endhint %}

Ретрансляторы составляют важную и необходимую часть экосистемы Tornado Cash. Их использование гарантирует конфиденциальность, поскольку они решают печально известную «дилемму оплаты комиссии»: как платить комиссию за вывод токенов из пула, сохраняя при этом анонимность?

Таким образом, ретрансляторы выступают в качестве третьих лиц и берут на себя весь вывод средств. Они оплачивают комиссию за транзакцию, вычитая ее непосредственно из суммы перевода. Также они берут дополнительную плату за свои услуги.

Поскольку был принят [Relayer Registry proposal](https://tornadocash.eth.link/governance/10), протокол будет взимать комиссию непосредственно с баланса ретранслятора через контракт **`StakingReward`** для каждого вывода. Процент комиссии может варьироваться в зависимости от пула, а также может быть изменен посредством голосования.

Сейчас он зафиксирован в размере **`0.3%`** . Некоторые пулы остаются без комиссий либо из-за того, что сумма слишком мала для назначения комиссии (0,1 ETH, 100 DAI/USDT, 1000 DAI/USDT), либо из-за недостаточной ликвидности на Uni v3.

## Как стать ретранслятором?

Любой может стать ретранслятором протокола, выполнив 6 простых шагов через пользовательский интерфейс Relayer Registry User Interface (UI).

Ниже вы найдете все, что вам нужно, чтобы присоединиться к нашему клубу ретрансляторов и быть внесенными в децентрализованный реестр ретрансляторов Tornado Cash.

### 1. Требования: понимать и принимать потенциальные риски

Прежде чем вы решите стать ретранслятором, вы должны осознавать и принимать все потенциальные риски, связанные с ретрансляцией протокола.

### 2. Настроить ретранслятор

Первым конкретным шагом является запуск программного обеспечения Tornado Cash Relayer для Ethereum Mainnet на вашем компьютере. Все шаги описаны на github протокола. Чтобы успешно выполнить эту задачу, вам придется внимательно следовать [инструкциям](https://github.com/tornadocash/tornado-relayer#deploy-with-docker-compose).

{% embed url="https://github.com/tornadocash/tornado-relayer#deploy-with-docker-compose" %}

Когда вы закончите, вам нужно будет вставить URL-адрес в поле ввода.

![](../.gitbook/assets/2.png)

### 3. Настройте субдомен ENS

Следующий шаг состоит из:

* создания домена ENS для вашего ретранслятора,
* настройки субдомена в основной сети,
* добавления записи TXT с URL-адресом ретранслятора в поддомен основной сети в соответствии с этим конкретным форматом:

#### **Ретрансляторы Ethereum (Обязательно)**

| Запись TXT              |
| ----------------------- |
| mainnet-tornado.xxx.eth |
| goerli-tornado.xxx.eth  |

#### **Сайдчейн-ретрансляторы (Необязательно)**

У вас также есть возможность добавить поддомены с соответствующими записями TXT для поддержки других сетей. Сайдчейн-ретрансляторы используют другую версию ПО. Все необходимые для этого инструкции вы найдете [здесь](https://github.com/tornadocash/tornado-relayer/blob/light/README.md).

| Запись TXT                |
| ------------------------- |
| bsc-tornado.xxx.eth       |
| gnosis-tornado.xxx.eth    |
| polygon-tornado.xxx.eth   |
| optimism-tornado.xxx.eth  |
| arbitrum-tornado.xxx.eth  |
| avalanche-tornado.xxx.eth |

#### **Ретранслятор Nova (Необязательно)**

Tornado Cash Nova использует собственную версию ПО. Если вы хотите стать ретранслятором для Tornado Cash Nova, вы найдете все инструкции [здесь](https://github.com/tornadocash/tornado-pool-relayer#deploy-with-docker-compose).

| Запись TXT          |
| ------------------- |
| gnosis-nova.xxx.eth |

![](../.gitbook/assets/3.png)

### **4. Настройка "работников"**

Работники — это адреса, которые позволят вашему ретранслятору отправлять ZK-доказательства пользователям. По умолчанию первым работником является адрес владельца домена ENS.

Для обеспечения дополнительного уровня безопасности мы советуем вам настроить более одного работника.

Только основная сеть требует от вас регистрации работников, все остальные сети не требуют этого.

![](../.gitbook/assets/4.png)

### 5. Стейкинг

С внедрением децентрализованного реестра ретрансляторов было введено условие стейкинга, чтобы попасть в список Tornado Cash UI. Действительно, **стейкинг TORN -- необходимое условие, чтобы попасть в список рекомендованных ретрансляторов.**

Минимальное количество монет в стейкинге -- **`300 TORN`**. Этот порог может быть изменен голосованием Tornado Cash в любое время.

Когда ретранслятор используется в пуле Tornado Cash, небольшая сумма TORN автоматически собирается с этого баланса контрактом `StakingReward`. Этот момент важно помнить, так как ретрансляторы должны будут поддерживать свой баланс выше `300 TORN` все время.

Эти сборы впоследствии распределяются между членами DAO, чьи токены TORN заблокированы. Обычно они заблокированы для участия в управлении цепочкой (предложения и голосование за предложения). Больше информации вы сможете найти в [посте](https://torn.community/t/proposal-relayer-registry-setting-parameters-after-audit/2134) и на странице Стейкинг TORN.

{% hint style="warning" %}
Ваши TORN в стейкинге не подлежат взысканию и/или возмещению.
{% endhint %}

![](../.gitbook/assets/5.png)

### 6. Итого: последняя проверка и регистрация

И последнее, но не менее важное: мы советуем вам перепроверить всю представленную информацию перед регистрацией.

![](../.gitbook/assets/6.png)

_Добро пожаловать в команду ретрансляторов! Благодаря вам конфиденциальность может быть улучшена_ 💚

_Авторы:_ [_**@bt11ba**_](https://torn.community/u/bt11ba/) &\_ [_**@ayefda**_](https://torn.community/u/ayefda) _Переведено и адаптировано:_ [**@Ghost**](https://torn.community/u/ghost)
