# Инструмент для обеспечения соответствия

По изначальному замыслу, вся информация в сети блокчейн является публичной - это может лишить пользователей права на конфиденциальность. Любой человек может получить доступ ко всей истории транзакций каждого пользователя. В ответ на эту проблему был разработан специальный протокол Tornado.Cash, который позволяет пользователям и держателям криптовалют вернуть свою приватность и обрести анонимность. Протокол позволяет пользователям разорвать цепочечную связь между адресом источника и адресом назначения.

Однако сохранение конфиденциальности и финансовой свободы никогда не должно происходить за счет несоблюдения законов. Право на конфиденциальность заключается в возможности контролировать информацию, которую мы предоставляем и то, кому мы ее предоставляем.&#x20;

В этом контексте **Tornado.Cash Compliance Tool** позволяет пользователям показать происхождение своих средств. Благодаря приватной заметке, генерируемой после каждого депозита, этот инструмент выдает криптографически проверенное доказательство истории транзакций адресов Ethereum, использованных для ввода и вывода средств.

Вы можете прочитать об этом инструменте в статье на Medium, чтобы узнать больше о его разработке и запуске: [Статья соответствие Tornado.Cash требованиям регуляторов на Medium.](https://tornado-cash.medium.com/tornado-cash-compliance-9abbf254a370)

Поэтому, если вам когда-нибудь потребуется доказать легальность происхождения активов, выведенных из одного из пулов Tornado.Cash, вы можете воспользоваться следующим [инструментом для обеспечения соответствия](https://app.tornado.cash/compliance/) требованиям:

![https://app.tornado.cash/compliance/](<../.gitbook/assets/Capture d’écran 2021-09-02 à 14.57.11.png>)

## Как использовать инструмент для обеспечения соответствия требованиям?

После каждого депозита, внесенного через приложение Tornado.Cash, протокол генерирует новую приватную заметку. Эта заметка необходима для последующего вывода внесенных средств на любой кошелек. Эта же заметка, в случае необходимости, позволяет пользователям генерировать отчет о соответствии требованиям, чтобы доказать легальность происхождения своих активов.

Более подробная информация о том, как вносить и выводить активы на Tornado.Cash, доступна на странице: [Депонирование и вывод активов](https://docs.tornado.cash/untitled)

Чтобы получить отчет о соответствии, пользователю необходимо скопировать заметку, созданную после пополнения счета, в специальное поле.

### Перед снятием средств

Если заметка еще не была использована (т.е. активы еще не были выведены), инструмент Compliance tool предоставит вам только данные о депозите:

* Хэш транзакции депозита;
* Адрес источника;
* хэш обязательства.

Обязательство - это хэшированная случайная область байтов, генерируемая при каждом депозите, которая отправляется смарт-контракту Tornado.Cash для характеристики транзакции.

![https://app.tornado.cash/compliance/](<../.gitbook/assets/Capture d’écran 2021-09-02 à 15.07.01.png>)

Вы можете получить больше информации о том, как Tornado.Cash обеспечивает конфиденциальность, прочитав статью [Как работает Tornado.Cash?](https://docs.tornado.cash/v/ru/)

### После снятия средств

Если заметка была использована (т.е. активы были выведены на указанный адрес с помощью данных из приватной заметки), инструмент Compliance Tool дополнит вышеприведенную информацию, добавив следующие данные:&#x20;

* Хэш транзакции снятия средств;
* Адрес на который выведены средства;
* хэш нуллификатора.

Хеш нуллификатора - это публичный массив данных, который отправляется внутри сети для проверки смарт-контракта и данных дерева Меркла, чтобы одобрить операцию вывода средств.

![https://app.tornado.cash/compliance/](<../.gitbook/assets/Capture d’écran 2021-09-02 à 15.12.23.png>)

Таким образом, инструмент для обеспечения соответствия позволяет пользователям повторно связать адреса источника и назначения, чтобы показать историю транзакций для активов, используемых на сервисе Tornado.Cash.

Эта информация также может быть выгружена в формате PDF, что облегчает ее отправку третьим лицам:

![https://app.tornado.cash/compliance/](<../.gitbook/assets/Capture d’écran 2021-09-02 à 15.12.53.png>)

автор [@ayefda](https://torn.community/u/ayefda)\
Переведено и адаптировано: [@ghost](https://torn.community/u/ghost/summary)
