# Пополнение и вывод в пуле Nova

Tornado Cash работает, разрывая цепочку между адресами отправителя и получателя. Для этого протоколу необходимо, чтобы токены помещались в пул с одного адреса, а затем выводились на другой.

Этот принцип остается тем же для Tornado Cash Nova. Что касается традиционных пулов с фиксированной суммой, эти два действия являются ключевыми для эффективности инструмента:

* Процесс “Депонирования”.
* Процесс “Вывода”.

## Процесс Депонирования <a href="#process-deponirovaniya" id="process-deponirovaniya"></a>

Большим достижением, по сравнению с традиционными пулами Tornado Cash, является то, что **суммы депозитов больше не предопределены**. Пользователи могут выбрать индивидуальную сумму в пределах баланса своего кошелька.

Поэтому, если вы хотите поместить 0,4 ETH в пул, вы можете сделать это сразу, а не совершать четыре отдельные транзакции по 0,1 ETH.

![](https://i.imgur.com/rqmzdgG.gif)

### Как это работает? <a href="#kak-eto-rabotaet" id="kak-eto-rabotaet"></a>

#### **Первый депозит 💰**

* Первый шаг — подключиться к **Tornado Cash Nova**, используя Metamask.
* Ваш аккаунт еще не настроен (кнопка «Set up account» доступна в правом верхнем углу). Для настройки учетной записи, вы можете использовать несколько способов:
  * **Нажать на `Set up account`**: ваш авторизованный адрес будет зарегистрирован в Nova без необходимости внесения каких-либо токенов. Это позволит вам получать переводы или депозиты в пуле с любого другого адреса.
  * **Выбрать авторизованный адрес как адрес получателя**: внося токены в пул, ваш аккаунт (с его защищенным адресом и ключом) будет создан автоматически. Внесенные средства пополнят ваш защищенный баланс.
  * **Выбрать другой зарегистрированный адрес:** токены будут добавлены на защищенный баланс выбранного адреса получателя. Он должен быть защищенным адресом, который ранее был зарегистрирован в пуле.

При входе, поле `Recipient address` по умолчанию заполняется вашим зарегистрированным адресом. Вы можете изменить его в зависимости от того, как вы хотите использовать инструмент.

Если вы создадите новую учетную запись, вы сможете войти в пул, проверить свой защищенный баланс Tornado или получить защищенные переводы, используя ваш защищенный адрес или же ключ.

_Всю информацию о том, как использовать эти элементы для входа в систему или где найти ваш защищенный ключ, вы можете найти здесь:_ _._

#### **Последующие депозиты 💸**

Все последующие депозиты происходят так же, как и первый, за исключением создания учетной записи.

Войдя в пул с помощью своего защищенного адреса/ключа, вы сможете вносить любые суммы на выбранный вами защищенный адрес.

⚠️ Поскольку это бета-версия, депозиты ограничены 1 ETH за транзакцию. Однако, если сообщество желает увеличить этот лимит, предельная сумма в 1 ETH всегда может быть изменена с помощью предложения DAO.

## Процесс вывода <a href="#process-vivoda" id="process-vivoda"></a>

![](https://i.imgur.com/qn9eJXS.gif)

Чтобы вывести средства из пула Nova, вы можете:

* выбрать один из 4 наборов сумм (0.1, 0.3, 0.5 & 1 ETH),
* выбрать свою сумму, нажав на кнопку `Set custom`.

### Настраиваемая сумма вывода <a href="#nastraivaiema-summa" id="nastraivaiema-summa"></a>

**Этот вариант следует выбирать только при полном знании следующих фактов и при полной уверенности в своих действиях..**

Чтобы сохранить вашу конфиденциальность, настоятельно рекомендуется выбрать одну из четырех предложенных сумм, так как это позволит вашему выводу "_слиться с остальными_".

Действительно, в зависимости от выбранной суммы, может быть установлена связь между вашей транзакцией депозита и снятием средств, если:

* сумма первоначального депозита точно такая же, как и сумма вывода,
* количество депонированых и выведенных монет может быть легко сопоставлено через сумму.

_Например, депозит в размере 0,42 ETH может быть связан с выводом 0,42 ETH, или дважды по 0,21 ETH, что может поставить под угрозу анонимность. Однако при выводе 0,391 ETH конфиденциальность сохраняется лучше, поскольку нет очевидной связи между суммами 0,42 и 0,391._

### Транзакции через Gnosis Chain (L2) <a href="#transctions-cherez-gnosis-chain-l2" id="transctions-cherez-gnosis-chain-l2"></a>

Для более дешевых транзакций в качестве Layer-2 используется Gnosis Chain (бывший xDAI Chain). С этой целью используется мост между ETH из основной сети в WETH Gnosis Chain.

Поэтому, чтобы предотвратить спам-атаки, которые могут привести к перегрузке моста, сумма вывода должна быть больше 0,05 ETH.

\--

_Автор:_ [_**@ayefda**_](https://torn.community/u/ayefda) _Переведено и адаптировано:_ [**@Ghost**](https://torn.community/u/ghost)
